%define dataversion 0.61

Summary:	Tux Racer
Name:		tuxracer
Version:	0.61
Release:	5mdk
License:	GPL
Group:		Games/Sports

Source:		tuxracer-%{version}.tar.bz2
Source1:	tuxracer-data-%{dataversion}.tar.bz2
Source2:	tuxracer-16.xpm
Source3:	tuxracer-32.xpm
Source4:	tuxracer-48.xpm

URL:		http://www.tuxracer.com/
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-static-libs
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gcc-c++
BuildRequires:	libMesaGLU-devel
BuildRequires:	tcl
BuildRequires:	texinfo
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The object of the
game is to slide down a snow- and ice-covered mountain as quickly as possible,
avoiding the trees and rocks that will slow you down.

%prep

%setup -q -a 1

%build
%configure --with-data-dir=%_datadir/tuxracer/

%make

%install
rm -fr %buildroot

%makeinstall

install -d %buildroot/%_datadir/tuxracer/

tar c -C %name-data-%dataversion . | tar x -C %buildroot/%_datadir/tuxracer/

install -d %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/%name
?package(%{name}):command="tuxracer" \
		  icon=%{name}.xpm \
		  needs="x11" \
		  section="Amusement/Sports" \
		  title="Tuxracer"\
		  longtitle="A great racing game starring Tux"
EOF

install -d %buildroot/%_iconsdir/
install -d %buildroot/%_liconsdir/
install -d %buildroot/%_miconsdir/

install -m 644 %SOURCE2 %buildroot/%_miconsdir/tuxracer.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/tuxracer.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/tuxracer.xpm

chmod -R a+rX %buildroot/%_datadir/tuxracer/ 

%clean
rm -fr %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README contrib
#
#
#
%_bindir/*
#
#
#
%_menudir/*
#
#
#
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm
#
#
#
%dir %_datadir/tuxracer/
%doc %_datadir/tuxracer/README
%_datadir/tuxracer/*.tcl
#
#
%dir %_datadir/tuxracer/courses/
%_datadir/tuxracer/courses/course_idx.tcl
#
%dir %_datadir/tuxracer/courses/bumpy_ride/
%_datadir/tuxracer/courses/bumpy_ride/*
#
%dir %_datadir/tuxracer/courses/bunny_hill/
%_datadir/tuxracer/courses/bunny_hill/*
#
%dir %_datadir/tuxracer/courses/common/
%_datadir/tuxracer/courses/common/*
#
%dir %_datadir/tuxracer/courses/contrib/
%dir %_datadir/tuxracer/courses/contrib/downhill_fear/
%_datadir/tuxracer/courses/contrib/downhill_fear/*
#
%dir %_datadir/tuxracer/courses/contrib/ice_canyon/
%_datadir/tuxracer/courses/contrib/ice_canyon/*
#
%dir %_datadir/tuxracer/courses/contrib/ingos_speedway/
%_datadir/tuxracer/courses/contrib/ingos_speedway/*
#
%dir %_datadir/tuxracer/courses/contrib/jools_big_mountain/
%_datadir/tuxracer/courses/contrib/jools_big_mountain/*
#
%dir %_datadir/tuxracer/courses/contrib/nebula/
%_datadir/tuxracer/courses/contrib/nebula/*
#
%dir %_datadir/tuxracer/courses/contrib/penguins_cant_fly/
%_datadir/tuxracer/courses/contrib/penguins_cant_fly/*
#
%dir %_datadir/tuxracer/courses/contrib/sentinel_towers/
%_datadir/tuxracer/courses/contrib/sentinel_towers/*
#
%dir %_datadir/tuxracer/courses/contrib/twin_paths/
%_datadir/tuxracer/courses/contrib/twin_paths/*
#
%dir %_datadir/tuxracer/courses/frozen_river/
%_datadir/tuxracer/courses/frozen_river/*
#
%dir %_datadir/tuxracer/courses/path_of_daggers/
%_datadir/tuxracer/courses/path_of_daggers/*
#
%dir %_datadir/tuxracer/courses/twisty_slope/
%_datadir/tuxracer/courses/twisty_slope/*
#
#
%dir %_datadir/tuxracer/fonts/
%_datadir/tuxracer/fonts/*
#
#
%dir %_datadir/tuxracer/music/
%_datadir/tuxracer/music/*
#
#
%dir %_datadir/tuxracer/sounds/
%_datadir/tuxracer/sounds/*
#
#
%dir %_datadir/tuxracer/textures/
%_datadir/tuxracer/textures/*



%changelog
* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 0.61-5mdk
- BuildRequires

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.61-4mdk
- Make %%_datadir/tuxracer/ readable by everybody

* Sun Sep 09 2001 David BAUDENS <baudens@mandrakesoft.com> 0.61-3mdk
- Fix icons
- Clean after build

* Mon May 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.61-2mdk
- recompiled for SDL 1.2

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.61-1mdk
- 0.61

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.3-1mdk
- 0.60.3

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-8mdk
- recompiled to get good dependencies.

* Fri Dec  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-7mdk
- corrected BuildRequires.

* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-5mdk
- added icons for the menu.

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-4mdk
- added BuildRequires on libSDL_mixer1.0-devel and libSDL1.1-devel.

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.60.1-3mdk
- rebuild with gcc 2.96
- make rpmlint happier.

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-2mdk
- 0.60.1

* Tue Sep 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-2mdk
- rebuild for latest tk.

* Sun Aug 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-1mdk
- first mandrake version.
